From 62500b8f05e9abce9861a94e1aa0b34d12c7fd6f Mon Sep 17 00:00:00 2001
From: U-ACER-1424F82190\raiska <raiska@acer-1424f82190.(none)>
Date: Fri, 29 Aug 2008 19:57:28 +0300
Subject: [PATCH] Mouse selections

---
 modules/video_output/msw/events.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/modules/video_output/msw/events.c b/modules/video_output/msw/events.c
index 4edb568..971e1ef 100644
--- a/modules/video_output/msw/events.c
+++ b/modules/video_output/msw/events.c
@@ -215,7 +215,8 @@ void* EventThread( vlc_object_t *p_this )
             break;
 
         case WM_LBUTTONDBLCLK:
-            p_event->p_vout->p_sys->i_changes |= VOUT_FULLSCREEN_CHANGE;
+        	if( !var_GetBool( p_event->p_vout, "disable-dclick-fs" ) )
+        		p_event->p_vout->p_sys->i_changes |= VOUT_FULLSCREEN_CHANGE;
             break;
 
         case WM_MBUTTONDOWN:
@@ -235,14 +236,16 @@ void* EventThread( vlc_object_t *p_this )
             var_Get( p_event->p_vout, "mouse-button-down", &val );
             val.i_int |= 4;
             var_Set( p_event->p_vout, "mouse-button-down", val );
-            DirectXPopupMenu( p_event, false );
+            if( !var_GetBool( p_event->p_vout, "disable-sclick-menu" ) )
+            	DirectXPopupMenu( p_event, false );
             break;
 
         case WM_RBUTTONUP:
             var_Get( p_event->p_vout, "mouse-button-down", &val );
             val.i_int &= ~4;
             var_Set( p_event->p_vout, "mouse-button-down", val );
-            DirectXPopupMenu( p_event, true );
+            if( !var_GetBool( p_event->p_vout, "disable-sclick-menu" ) )
+            	DirectXPopupMenu( p_event, true );
             break;
 
         case WM_KEYDOWN:
-- 
1.5.6.4

